%global momorel 1
%global emacsver 22.1
%global xemacsver 21.4.20
%global xemacssumover 2007.04.27
%global e_sitedir %{_datadir}/emacs/site-lisp
#%%global xe_sitedir  %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages
%global cvsdate 20070423

Summary:     2ch client on Emacsen
Name:        elisp-navi2ch
Epoch:       1
Version:     1.7.5.1
Release:     0.%{cvsdate}.%{momorel}m%{?dist}
#Release:     %{momorel}m%{?dist}
License:     GPL
Group:       Applications/Editors
Source0:     http://navi2ch.sourceforge.net/snapshot/navi2ch-cvs_0.0.%{cvsdate}-1.tar.gz
Source1:     http://navi2ch.googlegroups.com/web/my-navi2ch.tar.gz

Patch0:      navi2ch-set-icondir.patch
URL:         http://navi2ch.sourceforge.net/
Requires:    emacsen
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo >= %{xemacssumover}
BuildArch:   noarch
BuildRoot:   %{_tmppath}/%{name}-%{version}-root

%description
2ch client on Emacsen.

%package -n navi2ch-emacs
Summary: 2ch client on Emacs
Group: Applications/Editors
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: emacs >= %{emacsver}
PreReq: info

%description -n navi2ch-emacs
2ch client on Emacs.

%package -n navi2ch-xemacs
Summary: 2ch client on XEmacs
Group: Applications/Editors
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: xemacs >= %{xemacsver}, xemacs-sumo >= %{xemacssumover}

%description -n navi2ch-xemacs
2ch client on XEmacs.

%prep
%setup -q -n navi2ch-cvs-%{cvsdate}
#%%setup -q -n navi2ch-%{version}
%patch0 -p1 -b .icondir

tar xzf %{SOURCE1}

rm -rf %{buildroot}

mkdir -p %{buildroot}%{e_sitedir}/navi2ch
mkdir -p %{buildroot}%{sitepdir}/lisp/navi2ch

%build
## build for emacs
EMACS=emacs ./configure --with-emacs=emacs --with-lispdir=%{e_sitedir}/navi2ch --with-icondir=%{_datadir}/emacs/site-lisp/etc/navi2ch
make

%makeinstall lispdir=%{buildroot}%{e_sitedir}/navi2ch icondir=%{buildroot}%{_datadir}/emacs/site-lisp/etc/navi2ch

make distclean

## build for xemacs
EMACS=xemacs ./configure --with-emacs=xemacs --with-packagedir=%{sitepdir} --infodir=%{sitepdir}/info
make

%install
%makeinstall packagedir=%{buildroot}%{sitepdir} infodir=%{buildroot}%{sitepdir}/info

%__install -m 644 my-navi2ch/*.el* %{buildroot}%{e_sitedir}/navi2ch
%__install -m 644 my-navi2ch/*.el* %{buildroot}%{sitepdir}/lisp/navi2ch

# remove
rm -f %{buildroot}%{_infodir}/dir
rm -f %{buildroot}%{sitepdir}/info/dir

%post -n navi2ch-emacs
/sbin/install-info %{_infodir}/navi2ch.info %{_infodir}/dir \
        --section="Emacs"

%preun -n navi2ch-emacs
if [ "$1" = 0 ]; then
   /sbin/install-info --delete %{_infodir}/navi2ch.info %{_infodir}/dir
fi

%clean
[ "%{buildroot}" != "/" ] & rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc doc
# %%{_datadir}/info/navi2ch.info.bz2

%files -n navi2ch-emacs
%defattr(-, root, root)
%{e_sitedir}/navi2ch
%{e_sitedir}/etc/navi2ch
%{_datadir}/info/navi2ch.info*

%files -n navi2ch-xemacs
%defattr(-, root, root)
%{sitepdir}/lisp/navi2ch
%{sitepdir}/etc/navi2ch
%{sitepdir}/info/*.info*

%changelog
* Mon Jul  9 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.7.5.1-0.20070423.1m)
- update to cvs snapshot

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.7.5.1-0.20070206.7m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.20070206.6m)
- rebuild against emacs-22.1

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.20070206.5m)
- rebuild against emacs-22.0.96

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.20070206.4m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.20070206.3m)
- rebuild against emacs-22.0.94

* Sun Feb 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.7.5.1-0.20070206.2m)
- add Epoch: 1

* Tue Feb 06 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.20070206.1m)
- cvs update (filter bug fix version)

* Mon Jan 29 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.20070126.3m)
- add my-navi2ch

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.20070126.2m)
- rebuild against emacs-22.0.93

* Fri Jan 26 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.20070126.1m)
- update and changed to unstable branches source
  cvs -d:pserver:anonymous@navi2ch.cvs.sourceforge.net:/cvsroot/navi2ch co -runstable navi2ch

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.20061114.3m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.20061114.2m)
- rebuild against emacs-22.0.91

* Wed Nov 15 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.20061114.1m)
- update to cvs snapshot

* Mon Nov 06 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.20061106.1m)
- update to cvs snapshot

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.20061024.3m)
- rebuild against emacs-22.0.90

* Sat Oct 28 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.5.1-0.20061024.2m)
- change version notation

* Wed Oct 25 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.7.5.1-0.0020061024001m)
- update to cvs snapshot

* Fri Aug 18 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.7.5.1-0.0020060706002m)
- add Patch0: navi2ch-set-icondir.patch

* Sat Jul 22 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.7.5.1-0.0020060706001m)
- update cvs version 20060706
-- hana mogera cookie support was added to development version snapshot
-- delete Patch0: navi2ch-hanamogera2.patch

* Mon May 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.0020060529001m)
- update cvs version 20060529
- update Patch0: to navi2ch-hanamogera2.patch

* Sun May 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.0020051124002m)
- add navi2ch-hanamogera.patch

* Sun May 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.0020051124001m)
- update cvs version 20051124

* Sat Oct 15 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.0020050920001m)
- update cvs version 20050920

* Thu Mar 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.0020050423001m)
- update cvs version 20050423

* Thu Mar 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.0020050316001m)
- update cvs version 20050316

* Thu Mar 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.0020050211004m)
- add rm -rf %%{buildroot} after %%setup

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.7.5.1-0.0020050211003m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Tue Feb 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.7.5.1-0.0020050211002m)
- use %%{sitepdir}

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.0020050211001m)
- rebuild against emacs 22.0.50
- update cvs version 20050211

* Tue Feb  8 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.7.5.1-0.0020050207001m)
- update cvs version 20050207
- change etcdir, don't use version specific directory

* Thu Dec 23 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.0020041213001m)
- update cvs version 20041213

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.5.1-0.0020041027002m)
- rebuild against emacs-21.3.50

* Tue Nov 03 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5.1-0.0020041027001m)
- update cvs version 20041027

* Wed Oct 13 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5-1m)
- update to 1.7.5

* Sun Oct 10 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.5-0.1.1m)
- update to 1.7.5-BETA

* Sun Oct 10 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.4.1-0.0020041009001m)
- update cvs version 20041009

* Thu Aug 18 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.4-1m)
- update to 1.7.4

* Thu Jun 17 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.3-2m)
- roll back to 1.7.3

* Sat Jun 06 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.3.1-0.0020040531001m)
- update cvs version 20040531

* Sun May 16 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.7.3-1m)
- verup

* Mon Mar 22 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.2.1-0.0020040321001m)
- update cvs version 20040321

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (1.7.1.1-0.0020031209002m)
- revised spec for enabling rpm 4.2.

* Sun Dec 21 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.1.1-0.0020031209001m)
- update cvs version 20031209

* Tue Dec 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.1.1-0.0020031206001m)
- update cvs version 20031206
- use http://navi2ch.sourceforge.net/tmp/cvs/navi2ch-article.el.1.231

* Thu Nov 13 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.1.1-0.0020031110001m)
- update cvs version 20031110
- use %%global

* Sat Oct 25 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.1.1-0.0020031020001m)
- update cvs version 20031020

* Sat Oct 11 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.7.1-2m)
- add info file for emacs
- add PreReq: info for navi2ch-emacs
- execute install-info in %%post and %%preun section of navi2ch-emacs

* Wed Oct 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.1-1m)
- update to 1.7.1
- change Source0 URI

* Tue Jul 08 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0.1-0.00220030702001m)
- update cvs version 20030702

* Thu May 15 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0.1-0.00220030513001m)
- update cvs version 20030513

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0.1-0.00220030318001m)
- rebuild against emacs-21.3
- update cvs version 20030318

* Tue Mar 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0.1-0.00220030310001m)
- update cvs version 20030310

* Wed Jan 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0.1-0.00220030122001m)
- update cvs version 20030122

* Sat Jan 4 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0.1-0.00220021231001m)
- update cvs version 20021231

* Sat Dec 28 2002 HOSONO Hidetomo <h12o@h12o.org>
- (1.6.0.1-0.00220021226001m)
- update cvs version 20021226
- fix tab's changelog entry, Mon Dec 2 2002

* Mon Dec 2 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0.1-0.00220021129002m)
- add BuildPreReq: xemacs-sumo
- update cvs version 20021129

* Wed Sep 18 2002 smbd <smbd@momonga-linux.org>
- (1.6.0.1-0.0020020906001m)
- update official snapshot

* Tue Aug 15 2002 Toshiuro HIKITA <toshi@sodan.org>
- (1.6.0.1-0.0020020815001m)
- update official snapshot
- use xemacs package for xemacs

* Mon Jul 29 2002 Toshiuro HIKITA <toshi@sodan.org>
- (1.6.0.1-0.0020020727001m)
- update official snapshot
- update version to 1.6.0.1

* Wed Jul 23 2002 smbd <smbd@momonga-linux.org>
- (1.5.2.1-0.0020020723001m)
- update official snapshot

* Mon Jul 12 2002 Toshiuro HIKITA <toshi@sodan.org>
- (1.5.2.1-0.0020020712002k)
- update official snapshot
- update version to 1.5.2.1

* Wed Jul  3 2002 smbd <smbd@momonga-linux.org>
- (1.5.1.1-0.0020020702002k)
- update official snapshot

* Tue May 21 2002 Toshiuro HIKITA <toshi@sodan.org>
- (1.5.1.1-0.0020020520002k)
- update official snapshot
- update xemacs for 21.4.8

* Tue Apr 23 2002 Toshiuro HIKITA <toshi@sodan.org>
- (1.5.1.1-0.0020020419002k)
- update official snapshot

* Mon Apr 08 2002 Toshiuro HIKITA <toshi@sodan.org>
- (1.5.1.1-0.0020020408002k)
- using official snapshot
- including icons

* Mon Apr 08 2002 Toshiuro HIKITA <toshi@sodan.org>
- (1.5.1-4k)
- fix %files

* Mon Mar 11 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (1.5.1-2k)
- welcome to Kondara
